/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.hhn;

/**
 *
 * @author LH
 */
public class Zip
{
    public static void main(String[] args)
    {
        String a = "TestABCDE";
        String b = "DEFGHIJKLMNOPQ";
        
        
        System.out.println(a+"\n"+b+"\n"+zip2(a,b));
    }
    
    public static String zip2(String in1,String in2)
    {
        return //((in1.length()<2)&&(in2.length()<2))?in1+in2:zip(in1.substring(1),in2.substring(1));
                in1.length()<2?
                    in1+in2:
                    in2.length()<2?
                        in1.substring(0,1)+in2+in1.substring(1):
                        in1.substring(0,1)+in2.substring(0,1)+zip2(in1.substring(1),in2.substring(1));
                        
    }
}
